Subject: bug#44239: [PATCH] Python double-digit version detection broken

From: Karl Berry <[email-masked]>
Date: Tue, 27 Oct 2020 15:36:50 -0600

The patch is https://src.fedoraproject.org/fork/churchyard/rpms/automake/raw/f8af40fe1fa92a3ea0a1520a9d5f0797d0019f0f/f/automake-1.16.2-python-version-multiple-digits.patch

Thanks, I pushed it with some minor additional documentation updates.

    python3.10 -c 'import sys; print("%u.%u" % sys.version_info[:2])'

I also changed the invocation in python.m4 to be this (what you put in
t/python-vars.sh), instead of the sys.stdout.write('%d.%d') which you
had (following what was there before). Seemed better to have the two
invocations be exactly the same. At least, I couldn't discern any reason
why not, or any difference in the result, barring version numbers too
big to fit in signed integers :). --thanks, karl.